Bug 974458 - RFE: Lightdm doesn't fully support systemd multiseat
RFE: Lightdm doesn't fully support systemd multiseat
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: lightdm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 04:36 EDT by Jonathan Dieter
Modified: 2015-01-10 00:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-10 00:54:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1190581 None None None Never

  None (edit)
Description Jonathan Dieter 2013-06-14 04:36:31 EDT
Description of problem:
Lightdm doesn't seem to properly support systemd multiseat.  The first seat is properly opened on seat0, but lightdm's other seats aren't tied to any of logind's seats

Version-Release number of selected component (if applicable):
lightdm-1.7.0-2.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set up four seats using udev (I named mine seat-1, seat-2 and seat-3, as well as leaving the default seat0)
1. Configure lightdm to use the four seats
2. Start lightdm.service
3. Run loginctl

Actual results:
   SESSION        UID USER             SEAT
        10          0 root
       c14        990 lightdm          seat0
       c16        990 lightdm
       c17        990 lightdm
       c18        990 lightdm

Expected results:
   SESSION        UID USER             SEAT
        10          0 root
       c14        990 lightdm          seat0
       c16        990 lightdm          seat-1
       c17        990 lightdm          seat-2
       c18        990 lightdm          seat-3

Additional info:
Lightdm does start correctly and does use all four seats, but, because the seats aren't registered correctly with logind, USB devices don't automatically get sent to the right seat.
Comment 1 Christoph Wickert 2013-06-14 06:49:55 EDT
Shouldn't this go upstream? Looks more like a feature request than a bug.
Comment 2 Jonathan Dieter 2013-06-14 06:59:51 EDT
Yes, it is actually open at https://bugs.launchpad.net/lightdm/+bug/1190581.  I want to use this bug to track its progress in Fedora, but forgot to add the link.
Comment 3 Christoph Wickert 2013-06-14 12:48:25 EDT
Thanks for bringing this upstream.
Comment 4 Fedora Update System 2014-11-11 09:27:25 EST
lightdm-kde-0.3.2.1-8.fc19, lightdm-gtk-1.8.5-9.fc19, lightdm-1.10.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-14034/lightdm-kde-0.3.2.1-8.fc19,lightdm-gtk-1.8.5-9.fc19,lightdm-1.10.3-1.fc19
Comment 5 Fedora End Of Life 2015-01-09 17:34:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Jonathan Dieter 2015-01-10 00:54:28 EST
This has been fixed in the version of lightdm in F20.

Note You need to log in before you can comment on or make changes to this bug.